Subject: Re: [PATCH 2/2] ACPI Check for backlight support via ACPI video.ko otherwise use vendor ACPI drivers

From: Matthew Garrett <[email-masked]>
Date: Thu, 10 Jul 2008 12:19:00 +0100

On Thu, Jul 10, 2008 at 01:15:18PM +0200, Thomas Renninger wrote:
> On Thursday 10 July 2008 13:09:41 Matthew Garrett wrote:
> > No I didn't. Please don't do this - we have all the code needed to do it
> > properly, so there's no need to use the thinkpad_acpi driver for
> > backlight control on this hardware.
> Ok.
> But haven't you said there are ThinkPad BIOSes missing a specific ACPI part 
> and therefore you had the delay?
> If you could give me a dmidecode output, I like to add it.
> It would be great to have an example in the blacklist, then things are much 
> easier for others...

No, I said that on Thinkpads with a PWM method, the PWM method has to be 
called in order to avoid the delay. There's no need for a blacklist.

-- 
Matthew Garrett | [email-masked]